Odpověď

Upozornění: do tohoto tématu bylo naposledy přispěno před 120 dny.
Zvažte prosím založení nového tématu.
Jméno:
E-mail:
Předmět:
Ikona zprávy:

Ověření:
Zadejte znaky zobrazené na obrázku
Poslechnout obrázek / Požádat o jiný obrázek

Zadejte znaky zobrazené na obrázku:
Kolik má průměrný člověk prstů na pravé ruce? (číslem):

Zkratky: stiskněte shift+alt+s pro odeslání nebo shift+alt+p pro prohlédnutí


Shrnutí tématu

Poslal: alda81
« kdy: Červen 11, 2020, 22:27:52 »

Díky
Je tedy potom analogicky možné i na 32bit stroj nainstalovat wine64 a budou v něm fungovat 64bit aplikace?

Kód: [Vybrat]
A few things to note:

32 bit Wine runs on both 32-bit and 64-bit Linux/Unix installations. 16-bit and 32-bit Windows applications will run on it.
64-bit Wine runs only on 64 bit installations, and so far has only been extensively tested on Linux. It requires the
bylo to zde již napsáno, i když jen po amerikánsky, není to možné
Poslal: jamys601
« kdy: Červen 11, 2020, 20:31:44 »

Někdo znalejší, ať mě opraví, dle mě určitě nepůjde.
Poslal: tomas
« kdy: Červen 11, 2020, 15:20:45 »

Díky
Je tedy potom analogicky možné i na 32bit stroj nainstalovat wine64 a budou v něm fungovat 64bit aplikace?
Poslal: alda81
« kdy: Červen 09, 2020, 16:49:08 »

https://wiki.winehq.org/FAQ pokud se podíváš sem, tak se dozvíš, že to není podpora pro 32bit aplikace do 64bitového systému, ale že se jedná o samostatný program emulující 32bitové windows, proto ten balíček nemůže být v 64bitovém zdroji jak píšeš
Kód: [Vybrat]
2.7 Is there a 64 bit Wine?
Yes. 64 bit Wine has been available on Linux since 1.2. WineHQ binary packages are available for 64 bit, and most major distros package it for users. Normally, installation should be as simple as installing the Wine package for your distribution through your package manager. Check the Download page. If you are building Wine from source, see Building Wine for instructions on how to build 32 bit Wine on a 64 bit system and instructions on how to build 64 bit Wine in a shared WoW64 setup.

A few things to note:

32 bit Wine runs on both 32-bit and 64-bit Linux/Unix installations. 16-bit and 32-bit Windows applications will run on it.
64-bit Wine runs only on 64 bit installations, and so far has only been extensively tested on Linux. It requires the installation of 32 bit libraries in order to run 32 bit Windows applications. Both 32-bit and 64-bit Windows applications (should) work with it; however, there are still many bugs.
Current Wine includes support for 64 bit Wine on Mac OS X; however, this has not been tested very much, and some applications may never work due to an ABI incompatibility between Win64 and OS X.
podívej se do windows, jaký tam je kvůli zpětné kompatibilitě bordel při instalaci 32bitových aplikací do 64bitových windows, kdy knihovny se u 32bitových aplikací cpou do sysWOW64 a u 64bitových aplikací se cpou do system32

všechno máš v popisech:
wine
Kód: [Vybrat]
Wine is a program which allows running Microsoft Windows programs (including DOS, Windows 3.x and Win32 executables) on Unix. It consists of a program loader which loads and executes a Microsoft Windows binary, and a library (called Winelib) that implements Windows API calls using their Unix or X11 equivalents.  The library may also be used for porting Win32 code into native Unix executables.
wine32
Kód: [Vybrat]
Wine is a program which allows running Microsoft Windows programs (including DOS, Windows 3.x and Win32 executables) on Unix.

This package contains the files needed to support 32-bit Windows programs.

wine64
Kód: [Vybrat]
Wine is a program which allows running Microsoft Windows programs (including DOS, Windows 3.x and Win32 executables) on Unix. It consists of a program loader which loads and executes a Microsoft Windows binary, and a library (called Winelib) that implements Windows API calls using their Unix or X11 equivalents.  The library may also be used for porting Win32 code into native Unix executables.

This package contains the Win64 version of Wine. You need the wine32 package from the 32-bit repository to be able to run 32-bit applications.
pokud instaluješ 32bitové wine, tak to máš instalovat přes balíček wine, který si dotahá potřebné závislosti
pokud instaluješ 64bitové wine, tak to máš instalovat přes balíček wine64, který si taky dotahá potřebné závislosti
Poslal: tomas
« kdy: Červen 08, 2020, 21:33:51 »

Vyřešeno, Děkuji. Povolil jsem i ty 32bit zdroje a aktualizovalo se i wine32.
Myslím si ale že pokud ten balíček win32 je podpora pro 32bit aplikace do 64bit systému (podle jeho popisu to tak chápu), tak by ten balíček přece měl být v 64bitovém zdroji.
K čemu je 32bit podpora v 32bitovém zdroji když je tam už v základu?
Jak na to koukám tak už jsou 3 verze balíčků WINE.
1. wine-4.0.3-1.mga7.i586.rpm (Mageia 7, i586 media, core-updates) toto nemám nainstalované
2. wine32-4.0.3-1.mga7.i586.rpm (Mageia 7, i586 media, core-updates) toto mám nainstalované
3. wine64-4.0.3-1.mga7.x86_64.rpm (Mageia 7, x86_64 media, core-updates) toto mám nainstalované

Mám tedy jen wine64 a wine32 a vše co potřebuji mi ve WINE funguje. K čemu je tedy wine-4.0.3-1.mga7.i586.rpm a proč se to společně s wine32 ve 32bitovém zdroji a čím se ty balíčky liší?
Poslal: alda81
« kdy: Červen 06, 2020, 07:32:24 »

ahoj, Joelp správně předpokládal, že nemáš povolené 32bitové zdroje, které jsou nutné pro wine, musíš si je dodatečně povolit, aby byl jejich seznam takový:
Kód: [Vybrat]
[alda@T440p ~]$ urpmq --list-media active
Core Release (distrib1)
Core Updates (distrib3)
Nonfree Release (distrib11)
Nonfree Updates (distrib13)
Tainted Release (distrib21)
Tainted Updates (distrib23)
Core 32bit Release (distrib31)
Core 32bit Updates (distrib32)
Nonfree 32bit Release (distrib36)
Nonfree 32bit Updates (distrib37)
Tainted 32bit Release (distrib41)
Tainted 32bit Updates (distrib42)
osobně mám povolené ještě Tainted zdroje, to ale záleží na vkusu každého soudruha, wine nepoužívám, ale při pokusu jej doinstalovat na aktualizovaný stroj se neobjevily žádné problémy s kolizí jednotlivých balíčků

32bitové zdroje musíš povolit na 64bitovém systému pokud chceš používat aplikace, které jsou částečně závislé na 32bitovým balíčcích - to je wine32, PlayOnLinux (=upravený wine) nebo Steam, viz. https://wiki.mageia.org/en/Mageia_7_Release_Notes#The_Mageia_online_repositories
Poslal: Joelp
« kdy: Červen 04, 2020, 13:40:30 »

Jaké máš nastavené zdroje?
Poslal: tomas
« kdy: Květen 29, 2020, 14:10:39 »

Ahoj, Mageia 5.6.14-desktop-2.mga7
chce provést aktualizaci a nainstalovat balíčky
lib64exif12
Verze: 0.6.22-1.mga7
Nyní nainstalovaná verze: 0.6.21-14.1.mga7
libexif12-common
Verze: 0.6.22-1.mga7
Nyní nainstalovaná verze: 0.6.21-14.1.mga7
a píše:
Kód: [Vybrat]
Následující balíčky musí být odstraněny, aby bylo možné jiné aktualizovat:
libexif12-0.6.21-14.1.mga7.i586
 (Z důvodu nesplněného libexif12-common == 0.6.21-14.1.mga7)
libgphoto2_6-2.5.22-1.mga7.i586
 (z důvodu chybějícího libexif.so.12)
wine32-4.0.1-1.mga7.i586
 (z důvodu chybějícího libgphoto2.so.6)
Já ale nechci odstranit 32 bitovou podporu ve Wine.
Jak postupovat?